com.aliyun.svideosdk.common.struct.project

## Enum GlobalTrack.Type

- java.lang.Object
- - java.lang.Enum<GlobalTrack.Type>
  - - com.aliyun.svideosdk.common.struct.project.GlobalTrack.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<GlobalTrack.Type>
  Enclosing class:
    GlobalTrack

      public static enum GlobalTrack.Type
      extends java.lang.Enum<GlobalTrack.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `paint` 涂鸦
    `tail_watermark` 尾部水印
    `watermark` 全局水印

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GlobalTrack.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static GlobalTrack.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### paint

          public static final GlobalTrack.Type paint

      涂鸦

    - #### watermark

          public static final GlobalTrack.Type watermark

      全局水印

    - #### tail_watermark

          public static final GlobalTrack.Type tail_watermark

      尾部水印

  - ### Method Detail

    - #### values

          public static GlobalTrack.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GlobalTrack.Type c : GlobalTrack.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GlobalTrack.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null